var news_method = 'sine';
var section_method = 'sine';

$(document).ready(function () {

    /******
     * Recorremos la lista de novedades, armamos otra lista con las
     * que tienen 'old_news' entre sus clases y ponemos a ésta como
     * una segunda lista.
     */
   
    $("#news_list li.old_news").wrapAll('<ul/>').parent().attr('id', 'old_news_list')
      .wrap('<div>').parent().attr('id', 'old_news')
      .insertAfter("#news_list");
    if ($("#news_list li").length < 1) {
      $("#news_list").prepend("<li>No hay novedades nuevas!</li>");
    }
    $("#old_news").prepend("<p class='toggle'><img id='toggle_button' src='images/plus.png'/><a id='toggle_old_news' href=''><span id='toggle_text'>Mostrar noticias viejas</span></a></p>");
    $("#toggle_button, #toggle_old_news").click(function () {
        if (this.opened) {
          $("#old_news_list").animate({height: 0, opacity: 0}, 
              {duration: 700, easing: news_method + 'EaseIn', 
               complete: function () { 
                            $("#toggle_text").text("Mostrar noticias viejas"); 
                            $("#toggle_button").attr('src', 'images/plus.png');
                            }
              });
        } else {
          var natural_height = $("#old_news_list").height("auto").height();
          $("#old_news_list").height(0);;
          $("#old_news_list").animate({height: natural_height, opacity: 1}, 
              {duration: 700, easing: news_method + 'EaseOut',
               complete: function () { 
                           $("#toggle_text").text("Ocultar noticias viejas"); 
                           $("#toggle_button").attr('src', 'images/minus.png');
                         }
              });
        }
        this.opened = !this.opened;
        return false;
      });
    $("#old_news_list").hide().opened = false;

    /*****
     * Conectamos una animación tonta a los items de la barra de navegación.
     */

    $("#navigation a").each(function (i) {
        $(this).click(function () {
          $($(this).attr('href') + ' h2')
          .animate({marginLeft: -25 }, {duration: 300, easing: section_method + 'EaseOut'}) 
          .animate({marginLeft:  0 }, {duration: 350, easing: section_method + 'EaseIn'});
        });
    });

    /*****
     * Hacemos que el primer item de la barra de navegación vaya hasta
     * principio de la página
     */
   
    $("#navigation a").eq(0).each(function (i) {
        $(this).click(function () { 
            scrollTo(0, 0); 
            return false; 
        });
    });

    /******
     * Recorremos la lista de novedades, y armamos un dialogo modal con
     * aquellas que tienen 'important' entre sus clases, pero
     * solamente si la dirección de la que venimos es distinta a la
     * actual.
     */
      
    if (document.referrer != document.location &&
        document.location.hash == '') {
        var important = $("#news_list li.important").clone();
        if (important.length == 1) {
            important = important.contents().wrapAll('<p>').parent();
        }
        else {
            important = important.wrapAll('<ul/>').parent();
        }
        scrollTo(0, 0); 
        important.wrap('<div/>').parent().dialog({
            modal: true, 
            bgiframe: true,
            buttons: { Ok: function() { $(this).dialog('close'); } },
            title: 'Aviso importante',
            width: '50%',
            dialogClass: 'modal-dialog'
            });
        $(".ui-state-default").focus();
    }
  });

$(document).ready(function () {

  /* Cambiar esto cuando la materia se termina */
  var terminado = true; 

  if (!terminado) return;

  var canvas = document.createElement('canvas');
  $(canvas).css({position: 'fixed', top: 0, left: 0, 'z-index': -1});
  $(canvas).attr({id: 'done'});
  $('#wrapper').prepend(canvas);

  var done = function (canvas) {
    var size = 125;
    var ctx = canvas.getContext('2d');
    $(canvas).attr({width: window.innerWidth, height: window.innerHeight});
    ctx.save();
    ctx.beginPath();
    ctx.font = 'Bold ' + size + 'px "Sans"';
    ctx.textAlign = 'center';
    ctx.fillStyle = '#E3A6BC';; 
    ctx.translate(window.innerWidth / 2, 400);
    ctx.rotate(-Math.PI/10);
    ctx.fillText('ESTA MATERIA', 0, 0);
    ctx.fillText('TERMINÓ', 0, size+20);
    ctx.restore();
  };

  done(canvas); 
  window.addEventListener('resize', function(event) { done(canvas); }, false);
});
