﻿changequote([, ])

define([BACKGROUND_COLOR], [#d7d7d7])

define([HEADERS_COLOR], [#445056])

define([BASE_1], [#E1F03E])
define([BASE_2], [#FFBA14])
define([BASE_3], [#DB3A0F])
define([BASE_4], [#A1003D])
define([BASE_5], [#630024])

define([HEADER_BG], [BASE_5])
define([HEADER_FG], [white])
define([HREF], [#445056])

define([RULE_COLOR], [#5091a5])
define([RULE_WIDTH], [1px])

define([PX], [eval($1)px])

define([CONTENT_WIDTH], 700)
define([FOOTER_HORIZONTAL_PADDING], [80])

define([NAVIGATION_FONT_SIZE], [12])
define([NAVIGATION_VERTICAL_PADDING], [6])

define([HEADER_IMAGE_HEIGHT], [152])
define([HEADER_PADDING_TOP], [10])
define([HEADER_PADDING_BOTTOM], [20])
define([HEADER_HEIGHT], eval(HEADER_IMAGE_HEIGHT + HEADER_PADDING_TOP + HEADER_PADDING_BOTTOM))

define([NAVIGATION_HEIGHT], eval(NAVIGATION_FONT_SIZE + 2 * NAVIGATION_VERTICAL_PADDING))

/* eval(NAVIGATION_HEIGHT + HEADER_HEIGHT) es la altura de la parte blanca del fondo... */

/*************************************
 * reset 
 */

@import url(http://fonts.googleapis.com/css?family=Permanent+Marker);
@import url(http://fonts.googleapis.com/css?family=Droid+Sans);
@import url(http://fonts.googleapis.com/css?family=Reenie+Beanie);
@import url(http://fonts.googleapis.com/css?family=Special+Elite&v2);

html, body, div, span, object, iframe, h1, h2, h3, h4, h5, h6, p,
blockquote, pre, a, abbr, acronym, address, code, del, dfn, em, img, q, dl,
dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody,
  tfoot, thead, tr, th, td {
  border: 0 none;
  font-family: "Droid Sans";
  font-style: inherit;
  font-weight: inherit;
  margin: 0;
  padding: 0;
  vertical-align: baseline;
}

/*************************************
 * structure
 */

#wrapper {
  margin: 0 auto;
  max-width: PX(CONTENT_WIDTH);
}

#header {
  height: PX(NAVIGATION_HEIGHT + HEADER_HEIGHT);
  margin-bottom: 0px;
  padding-top: PX(NAVIGATION_HEIGHT);
  position: relative;
}

#content {
}

#footer {
}

/*************************************
 * backgrounds
 */

body {
  background: BACKGROUND_COLOR url(images/background.png) repeat-x scroll 0 -10px; 
  padding:0px 0px 100px 0px;
  font-family: sans-serif;
}

/*************************************
 * navigation
 */

#navigation {
  background-color: HEADER_BG;
  font-size: PX(NAVIGATION_FONT_SIZE) ! important;
  height: PX(NAVIGATION_HEIGHT);
  position: fixed;
  left: 0px;
  top: 0px;
  width: 100%;
  z-index: 10;
  overflow: visible;
}

#navigation h2 {
  display: none;
}

#navigation ul {
  margin: 0 auto !important;
  position: relative;
  top: 4px;
  width: PX(CONTENT_WIDTH);
  list-style-type: none;
}

#navigation li {
  display: inline;
  padding-right: 15px;
}

#navigation a {
  background-color: HEADER_BG;
  color: HEADER_FG;
  text-decoration: none;
}

#navigation a:hover, #navigation a:focus {
  color: BASE_3;
}

/*************************************
 * header
 */

#header {
  height: PX(HEADER_HEIGHT);
}

#header h1 {
  background: transparent url(images/header.png) no-repeat scroll 0px 10px ;
  line-height: 500px;
  height: PX(HEADER_IMAGE_HEIGHT);
  width: PX(CONTENT_WIDTH);
  position: absolute;
  left: 0px;
  bottom: PX(HEADER_PADDING_BOTTOM);
  overflow: hidden;
}

.hidden {
  display: none
}

#header img, #header canvas {
  position: absolute;
  right: 0px;
  bottom: PX(HEADER_PADDING_BOTTOM);
}

/*************************************
 * content
 */

#content h2 {
  color: HEADERS_COLOR;
  margin-bottom: 12px;
  font-size: 37px;
  font-family: 'Permanent Marker';
  letter-spacing: 0.00em;
  padding-bottom: 10px;
  font-style: normal;
  font-weight: normal;
}

.section {
  padding-top: 60px; 
}

.section:first-child {
  padding-top: 20px;
}

a {
  color: HREF;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

li {
  margin-bottom: 0ex;
  margin-top: 1ex;
}

li:first-child {
  margin-top: 0px;
}

ul {
  list-style-image: url(images/bullet.png);
  margin-left: 2em;
  margin-right: 2em;
  margin-bottom: 1em;
  margin-top: 1em;
}

ul.practicas {
  counter-reset: practica -1 parcial 0;
  list-style-type: none;
}

ul.practicas li:before {
  counter-increment: practica;
  margin-right: 1em;
}

ul.practicas li.parcial:before {
  counter-increment: parcial;
}

ul.practicas li.parcial {
  list-style: url(images/special-bullet.png);
}

/* The news toggle */

p.toggle {
  margin-left: 1.5em;
  text-align: left;
  font-size: x-small;
}

p.toggle img {
  vertical-align: middle;
  padding-right: 6px;
}

.modal-dialog {
  position: fixed ! important
}

/*************************************
 * bib
 */

#biblio .title { font-style: italic; }

/*************************************
 * footer
 */

#footer {
  margin-top: 80px;
  padding-left: 0px;
  padding-right: 0px;
  border-top: solid RULE_WIDTH RULE_COLOR;
  font-size: xx-small;
  width: PX(CONTENT_WIDTH);
}

#validators {
  list-style-type: none;
  display: inline-block;
  margin: 5px 0px;
  float: right;
}

#validators li {
  display: inline;
  padding-right: 15px;
}

#validators li:last-child {
  padding-right: 0px;
}

#validators a {
  color: black;
  text-decoration: none;
}

#validators a:hover {
  text-decoration: underline;
}


/*************************************
 * tables
 */

.pretty {
  width: 80%;
  border-collapse: collapse;
  text-align: left; 
  margin-left: 40px;
}

.pretty tr:first-child {
  border-style: none;
}

.pretty tbody tr th {
  padding-top: 30px;
  padding-bottom: 15px;
  text-align: left
}

.pretty tbody tr th {
  padding-top: 15px;
  padding-bottom: 15px;
  font-weight: normal;
  /*
  border-bottom-width: RULE_WIDTH;
  border-bottom-style: solid;
  border-color: RULE_COLOR; 
  */
  background: transparent url(images/border.png) repeat-x scroll 0 bottom ;
}

.pretty tr {
}

.pretty tr.lined {
  border-top-width: RULE_WIDTH;
  border-top-style: solid;
  border-top-color: RULE_COLOR; 
}

.pretty td, .pretty th {
  vertical-align: top;
  padding: 7px 15px 7px 15px;
}

.pretty a:hover {
  background-color: inherit;
}

.pretty tr th {
  margin-top: 1em;
  color: black;
}

/* vim: set filetype=css: */
